Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can't run Popeye: No resource meta found for networking.k8s.io/v1/ingresses #188

Closed
douglascamata opened this issue Jul 16, 2021 · 5 comments
Closed

Comments

@douglascamata
Copy link

@douglascamata douglascamata commented Jul 16, 2021




Describe the bug
I cannot run Popeye on my cluster. It shows the message No resource meta found for networking.k8s.io/v1/ingresses. Looks like this was supposed to be fixed by #170 (released 0.9.3), but the problem is still there.

To Reproduce
Steps to reproduce the behavior:

  1. Get a k8s cluster running 1.18
  2. Try to run popeye
  3. See error

Expected behavior
It should work.

Versions (please complete the following information):

  • OS: macOS 11.4
  • Popeye: 0.9.5 (commit 35bf31a8629bf5bab6e4f459549beeca423861bf)
  • K8s: Server Version: version.Info{Major:"1", Minor:"18+", GitVersion:"v1.18.17-gke.1901", GitCommit:"b5bc948aea9982cd8b1e89df8d50e30ffabdd368
@douglascamata
Copy link
Author

@douglascamata douglascamata commented Jul 16, 2021

Probably will be fixed with #182

@derailed
Copy link
Owner

@derailed derailed commented Jul 16, 2021

@douglascamata Thank you Douglas for reporting this! It looks like the cluster version is reported differently based on how the cluster was provisioned ie 18 vs 18+ ( this is where I went wrong ;( ). I do like the PR but think we need a more generic solution. I'll take a crack at it in the next drop and see if we're happier...

@douglascamata
Copy link
Author

@douglascamata douglascamata commented Jul 16, 2021

No problem, @derailed! I’m glad a quick fix landed.

Thanks a lot for the fix and all the open source tools you develop. I use k9s all the time and it’s amazing ❤️

@derailed
Copy link
Owner

@derailed derailed commented Jul 17, 2021

Very kind! Thank you Douglas!!

@texpert
Copy link

@texpert texpert commented Jul 18, 2021

Still the same error with popeye 0.9.6 on kubernetes cluster 1.13.12

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
3 participants